PDA

View Full Version : using the entities of mechanical



clovis
2008-08-25, 03:55 PM
Hello,
(sorry for cross posting)
I've tried the "lisp" forum but got no answer about how manipulate, transform a mechanical object like this one http://forums.augi.com/showthread.php?t=85779. I was wondering if I could find somewhere some informations about the methods (with parameters) included in the mechanical objects such as partref, welds, bom...?
Thanks

clovis
2008-09-02, 06:51 AM
Hello,
Is my question not clear enough?
Please

BrenBren
2008-09-09, 03:21 PM
What exactly are you trying to do? What object is that. I'm not sure if it is possible to change the properties of the objects that are incorporated into Mechanical, but if you tell us something with a bit more detail, maybe we can help.

clovis
2008-09-10, 03:58 PM
Hi Brenbren,
I thought for a while that noone was using Mechanical.
Wel, I'd like to know how to use the methods that go with several entities from Mechanical. I can't find any information about the parameters that go with them. Beside that, I can't find some info about the following
Such as:
-I'd like to retrieve the text of a "AMDTNOTE"
-I'd like to replace some info in a "ACMPARTLIST" but then I still get an error
http://forums.augi.com/showthread.php?t=82102
I suppose that those entities are inheriting the methods of an higher entity but which one?

I want to write routines for those entities because it costs to much time to edit them in the normal way.
In that way I've written a routine to add a line to a "ACMBALLOON "


(DEFUN c:BP( / ab apoint)
(prompt"\nSelect een Ballon..")
(setq ab (vlax-ename->vla-object(car(entsel))))
(setq apoint(vlax-3d-point(getpoint "\nGive a new position..")))
(VLAX-INVOKE-METHOD ab 'ADDLEADER APOINT acLineNoArrow)
(vlax-release-object ab)
(setq ab nil)
(princ)
)

Thanks